declare @licencia varchar(100)
select top 1 @licencia = uid from gen_config

if not exists (select id from [syn_tipoAutenticacion] where id = 1)
begin
	INSERT INTO [dbo].[syn_tipoAutenticacion]
			   ([id]
			   ,[uid]
			   ,[eid]
			   ,[id_usuario_modifico]
			   ,[id_usuario_creo]
			   ,[fechaModificacion]
			   ,[fechaCreacion]
			   ,[active]
			   ,[tipoAutenticacion]
			   ,[tipoAutenticacion_codigo])
		 VALUES
			   (1,@licencia,'01',1,1,getdate(),getdate(),1,'Basic','Basic ')
end

if not exists (select id from [syn_tipoAutenticacion] where id = 2)
begin
	INSERT INTO [dbo].[syn_tipoAutenticacion]
			   ([id]
			   ,[uid]
			   ,[eid]
			   ,[id_usuario_modifico]
			   ,[id_usuario_creo]
			   ,[fechaModificacion]
			   ,[fechaCreacion]
			   ,[active]
			   ,[tipoAutenticacion]
			   ,[tipoAutenticacion_codigo])
		 VALUES
			   (2,@licencia,'01',1,1,getdate(),getdate(),1,'Bearer','Bearer ')
end
GO
